Bug 1838493 - Live snapshot made with freeze in the engine will cause the FS to be frozen
Summary: Live snapshot made with freeze in the engine will cause the FS to be frozen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.10
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-4.4.1
: 4.4.1
Assignee: Liran Rotenberg
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks: 1850920
TreeView+ depends on / blocked
 
Reported: 2020-05-21 09:07 UTC by Liran Rotenberg
Modified: 2020-08-04 13:23 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-4.4.1.5
Doc Type: Bug Fix
Doc Text:
Previously, creating a live snapshot with memory while LiveSnapshotPerformFreezeInEngine was set to True, resulted in a virtual machine file system that is frozen when previewing or committing the snapshot with memory restore. In this release, the virtual machine runs successfully after creating a preview snapshot from a memory snapshot.
Clone Of:
: 1850920 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:22:49 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5219611 0 None None None 2020-07-20 19:57:05 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:23:38 UTC
oVirt gerrit 109312 0 master MERGED core: fix snapshot engine freeze 2020-12-01 00:04:57 UTC
oVirt gerrit 109388 0 ovirt-engine-4.3 MERGED core: fix snapshot engine freeze 2020-12-01 00:04:57 UTC

Description Liran Rotenberg 2020-05-21 09:07:37 UTC
Description of problem:
Creating a live snapshot with memory and having LiveSnapshotPerformFreezeInEngine set to true will result in VM that has the file system frozen upon previewing or commiting.

Version-Release number of selected component (if applicable):
4.3.10

How reproducible:
100%

Steps to Reproduce:
1. Set the LiveSnapshotPerformFreezeInEngine=true in engine config.
2. Create a VM with disk.
3. Create snapshot with memory.
4. Shutdown the VM.
5. Preview or preview+commit the snapshot with memory restore.
6. Start the VM.

Actual results:
The VM's file system will be frozen.

Expected results:
The VM should be restored without being frozen.


Additional info:
Workarounds:
1. Change the config of LiveSnapshotPerformFreezeInEngine to false.
2. Shutting down the VM and starting it again.
3. Doing preview, starting the VM(it will be frozen), shutting it down, commiting the snapshot and start.
4. Running: # vdsm-client VM thaw vmID=<uuid> on the host the VM is running and the FS is frozen.
5. Create the snapshot without memory.

Comment 2 Liran Rotenberg 2020-05-27 11:04:33 UTC
We shouldn't call freeze or thaw when doing live snapshot with memory(the VM is paused during it - makes sure of data consistency).
In this scenario when restoring it with memory the FS will be frozen and we can't do anything.
The freeze/thaw calls should happen only when creating non-memory live snapshot in order to make the data consistent.

Comment 4 Ryan Barry 2020-05-27 13:04:11 UTC
Sure, we still have time. Not so much a backport as just changing the milestone to whichever (4.4.1 or 4.4.2) fits once it merges

Comment 7 Qin Yuan 2020-06-24 15:38:08 UTC
Verified with:
ovirt-engine-4.3.11-0.1.el7.noarch

Steps:
1. Set the LiveSnapshotPerformFreezeInEngine=true in engine config
2. Create a VM with disk.
3. Create snapshot with memory.
4. Shutdown the VM.
5. Preview+commit the snapshot with memory restore.
6. Start the VM.

Result:
1. The VM is restored without being frozen.

Comment 9 Sandro Bonazzola 2020-07-01 09:26:14 UTC
Moving back to modified since this has been verified on ovirt-engine-4.3.11-0.1.el7.noarch before cloning to 4.3.

Comment 11 Qin Yuan 2020-07-02 09:06:04 UTC
Verified with:
ovirt-engine-4.4.1.5-0.17.el8ev.noarch

Steps:
1. Set the LiveSnapshotPerformFreezeInEngine=true in engine config
2. Create a VM with disk.
3. Create snapshot with memory.
4. Shutdown the VM.
5. Preview+commit the snapshot with memory restore.
6. Start the VM.

Result:
1. The VM is restored without being frozen.

Comment 13 errata-xmlrpc 2020-08-04 13:22:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.